/* CSS */
*:focus {
	outline: 0;
}
/* ----- GENERAL STYLES ----- */

body {
	margin: 0;
	padding: 0;
	background-color: #eee;
	min-height: 100vh;
	font-family: 'Roboto', sans-serif;
	line-height: 1.5em;
	font-size: 16px;
	font-weight: 300;
	padding-bottom: 80px;
	box-sizing: border-box;
}

.navbar {
	position: fixed;
	top: 0;
	width: 100%;
	list-style-type: none;
	margin: 0;
	padding: 0;
	list-style-type: none;
	margin: 0;
	padding: 0;
	/*overflow: hidden;*/
	overflow: hidden;
	background-color: rgba(51, 51, 51, 0.85);
	/*background-color: #333;*/
}

.navbar .logo {
	/* Add a gray right border to all list items, except the last item (last-child) */
	float: left;
	padding-right: 10px;
	border-right: 1px solid #ddd;
}

.navbar .logo img {
	padding-top: 4px;
	padding-left: 10px;
	height: 48px;
}

.navbar li {
	/* Add a gray right border to all list items, except the last item (last-child) */
	float: right;
	border-right: 1px solid #bbb;
	height: 52px;
}

.navbar li:last-child {
  	border-right: none;
}

.navbar li a {
	display: block;
	color: white;
	text-align: center;
	padding: 14px 16px;
	text-decoration: none;
}

/* Change the link color to #111 (black) on hover */
.navbar li a:hover {
  background-color: #111;
}

.container {
	width: 100%;
	max-width: 1080px;
	padding: 0 32px;
	margin: auto;
}

input::-webkit-input-placeholder {
	font-size: 16px;
	font-weight: 300;
}

input:-moz-placeholder { /* Firefox 18- */
	font-size: 16px;
	font-weight: 300;
}

input::-moz-placeholder {  /* Firefox 19+ */
	font-size: 16px;
	font-weight: 300;
}

input:-ms-input-placeholder { 
	font-size: 16px; 
	font-weight: 300;
}

/* ----- HEADER ----- */

#main-header {
	width: 100%;
	height: 480px;
	background: url("../images/wallpaper.jpg");
	background-size: cover;
	background-position: center;
}

#main-header .darken {
	background-color: rgba(0, 0, 0, .7);
	height: 100%;
}

#main-header .container {
	display: flex;
	align-items: center;
	justify-content: center;
	flex-direction: column;
	height: 100%;
}

#main-header h1 {
	color: #fff;
	font-size: 30px;
	font-weight: 500;
	margin: 0;
	text-shadow: 0 1px 5px rgba(0, 0, 0, .3);
}

#main-header p {
	color: #fff;
	font-size: 20px;
	margin: 24px 0 32px 0;
	text-shadow: 0 1px 5px rgba(0, 0, 0, .3);
}

form {
	width: 100%;
	max-width: 640px;

}

.form-row {
	display: flex;
	width: 100%;
	background-color: #fff;
	box-shadow: 0 3px 8px rgba(0, 0, 0, .2);
	border-radius: 8px;
}

input {
	font-size: 16px;
	border: 0;
	height: 64px;
	padding: 0 16px;
	box-sizing: border-box;
	background-color: transparent;
}

input[type=text] {
	flex-grow: 1;

}

input[type=number] {
	text-align: left;
	width: 144px;
}

input[type=number]:last-child {
	font-weight: 700;
}

/*input[type=submit] {*/
.submitButton {
	display: block;
	margin: 24px auto 0 auto;
	color: #fff;
	font-size: 15px;
	font-weight: 500;
	text-align: center;
	text-transform: uppercase;
	background-color: #00c853;
	width: 180px;
	border-radius: 8px;
	height: 56px;
}
/* ----- CONTENT ----- */

#main {
	margin: 20px 0;
}

#shopping-list {
	width: 100%;
	max-width: 800px;
	margin: 0 auto;
	padding: 0;
}

#shopping-list li {
	display: flex;
	padding: 20px 16px;
	list-style: none;
	border-bottom: 1px solid rgba(0, 0, 0, .1);
}

#shopping-list li:last-child {
	border-bottom: none;
}

#shopping-list li .description {
	flex-grow: 1;
	color: rgba(0, 0, 0, .6);
}

#shopping-list li .count {
	font-weight: 300;
	color: rgba(0, 0, 0, .6);
	width: 200px;
	text-align: right;
}

#shopping-list li .price {
	font-weight: 500;
	color: rgba(0, 0, 0, .87);
	width: 200px;
	text-align: right;
	font-size: 18px;
}

#shopping-list li .delete {
	font-weight: 500;
	vertical-align: middle;
	color: rgba(0, 0, 0, .87);
	width: 100px;
	text-align: center;
	font-size: 18px;
}

.deleteButton {
	/*display: block;
	margin: 24px auto 0 auto;*/
	color: #fff;
	font-size: 15px;
	margin-top: -2rem;
	/*font-weight: 500;*/
	text-align: center;
	padding: 0;
	background-color: #ef3038;
	width:  30px;
	height: 30px;
	line-height: 30px;
	border-radius: 8px;
}

.deleteButton:focus {
	outline: 0;
}

.deleteButton:active {
	background-color: #df2028;
}

.dropbtn {
	background-color: #0090f7;
	color: white;
	padding: 18px;
	font-size: 18px;
	border: none;
}

/* The container <div> - needed to position the dropdown content */
.dropdown {
	position: relative;
	display: inline-block;
}

/* Dropdown Content (Hidden by Default) */
.dropdown-content {
	display: none;
	position: absolute;
	background-color: #f1f1f1;
	min-width: 160px;
	box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
	z-index: 1;
}

/* Links inside the dropdown */
.dropdown-content a {
	color: black;
	padding: 12px 16px;
	text-decoration: none;
	display: block;
}

/* Change color of dropdown links on hover */
.dropdown-content a:hover {background-color: #ddd;}

/* Show the dropdown menu on hover */
.dropdown:hover .dropdown-content {display: block;}

/* Change the background color of the dropdown button when the dropdown content is shown */
.dropdown:hover .dropbtn {background-color: #007bd3;}
